Connectors
Create connector connection
Tenant-bound connector configuration. No provider requests. Credentials are masked. Mutations require the current revision where applicable. Referenced connections and nonempty connectors cannot be deleted. New custom connector and action creation requires workspace rollout enablement.
POST
/
connectors
/
{connectorId}
/
connections
Create connector connection
curl --request POST \
--url https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"baseUrl": "<string>",
"auth": {
"headerName": "<string>",
"value": "<string>"
},
"enabled": true
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/connections"
payload = {
"name": "<string>",
"baseUrl": "<string>",
"auth": {
"headerName": "<string>",
"value": "<string>"
},
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
baseUrl: '<string>',
auth: {headerName: '<string>', value: '<string>'},
enabled: true
})
};
fetch('https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'baseUrl' => '<string>',
'auth' => [
'headerName' => '<string>',
'value' => '<string>'
],
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/connections"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"auth\": {\n \"headerName\": \"<string>\",\n \"value\": \"<string>\"\n },\n \"enabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/connections")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"auth\": {\n \"headerName\": \"<string>\",\n \"value\": \"<string>\"\n },\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"auth\": {\n \"headerName\": \"<string>\",\n \"value\": \"<string>\"\n },\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"connection": {
"connectorId": "<string>",
"tenantId": "<string>",
"connectionId": "<string>",
"integrationId": "<string>",
"name": "<string>",
"displayName": "<string>",
"accountEmail": "<string>",
"propertyId": "<string>",
"baseUrl": "<string>",
"enabled": true,
"active": true,
"degraded": true,
"status": "<string>",
"revision": 1,
"version": 1,
"createdAt": "<string>",
"updatedAt": "<string>",
"auth": {
"type": "none",
"configured": true,
"headerName": "<string>",
"secretLastFour": "<string>"
}
}
}Authorizations
Server-side tenant-scoped credential created from Build > API Keys.
Path Parameters
Body
application/json
Response
201 - application/json
Success
Show child attributes
Show child attributes
⌘I
Create connector connection
curl --request POST \
--url https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/connections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"baseUrl": "<string>",
"auth": {
"headerName": "<string>",
"value": "<string>"
},
"enabled": true
}
'import requests
url = "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/connections"
payload = {
"name": "<string>",
"baseUrl": "<string>",
"auth": {
"headerName": "<string>",
"value": "<string>"
},
"enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
baseUrl: '<string>',
auth: {headerName: '<string>', value: '<string>'},
enabled: true
})
};
fetch('https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/connections",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'baseUrl' => '<string>',
'auth' => [
'headerName' => '<string>',
'value' => '<string>'
],
'enabled' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/connections"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"auth\": {\n \"headerName\": \"<string>\",\n \"value\": \"<string>\"\n },\n \"enabled\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/connections")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"auth\": {\n \"headerName\": \"<string>\",\n \"value\": \"<string>\"\n },\n \"enabled\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform-api.visitoai.com/m2m/v1/connectors/{connectorId}/connections")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"baseUrl\": \"<string>\",\n \"auth\": {\n \"headerName\": \"<string>\",\n \"value\": \"<string>\"\n },\n \"enabled\": true\n}"
response = http.request(request)
puts response.read_body{
"connection": {
"connectorId": "<string>",
"tenantId": "<string>",
"connectionId": "<string>",
"integrationId": "<string>",
"name": "<string>",
"displayName": "<string>",
"accountEmail": "<string>",
"propertyId": "<string>",
"baseUrl": "<string>",
"enabled": true,
"active": true,
"degraded": true,
"status": "<string>",
"revision": 1,
"version": 1,
"createdAt": "<string>",
"updatedAt": "<string>",
"auth": {
"type": "none",
"configured": true,
"headerName": "<string>",
"secretLastFour": "<string>"
}
}
}